# -*- coding: utf-8 -*- 
# @Time    : 04/03/2024 
# @Author  : nzooherd 
# @File    : referral_code.py 
# @Software: Visual Studio Code



import random
import string
from datetime import datetime

def generate_referral_code(length=8, prefix=''):
    """
    生成包含时间戳和随机字符串的推荐码
    
    Args:
        length (int): 随机字符串的长度,默认为8
        prefix (str): 可选的前缀字符串
        
    Returns:
        str: 推荐码
    """
    # 获取当前时间戳,并将其转换为8位十六进制字符串
    timestamp = hex(int(datetime.now().timestamp()))[2:][-8:]
    
    # 生成随机字符串
    random_str = ''.join(random.choices(string.ascii_letters + string.digits, k=length))
    
    # 组合时间戳和随机字符串
    referral_code = prefix + timestamp + random_str
    
    return referral_code
